<script setup>
import WebviewPage from '@/components/WebviewPage.vue'

const webviewSrc = ref('') // 可以根据不同页面设置不同的值\

onLoad((option) => {
  let reportId = ''
  if (option.out_trade_no) {
    reportId = `order_no=${option.out_trade_no}`
  }
  else if (option.order_id) {
    reportId = `order_id=${option.order_id}`
  }
  else {
    return
  }
  webviewSrc.value = `http://192.168.1.124:5678/report?${reportId}`
})
const navigationBarTitleText = '报告结果' // 同样可以根据需要修改
</script>

<template>
  <WebviewPage :webview-src="webviewSrc" :navigation-bar-title-text="navigationBarTitleText" />
</template>
